Monitor a campaign
curl --request GET \
--url https://api.heullo.com/api/v1/monitoring/task/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/monitoring/task/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/monitoring/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/monitoring/task/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/monitoring/task/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/v1/monitoring/task/{taskId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/monitoring/task/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"healthStatus": {
"errorRate": 123,
"lastUpdateTime": "2023-11-07T05:31:56Z",
"processingSpeed": 123,
"status": "<string>"
},
"performance": {
"averageProcessingTime": 123,
"efficiency": 123,
"lastMinuteStats": {},
"peakThroughput": 123,
"successRate": 123,
"throughput": 123,
"totalProcessed": 123
},
"processingStats": {
"averageProcessingTime": 123,
"errorCount": 123,
"lastMinuteAverageProcessingTime": 123,
"lastMinuteErrorRate": 123,
"lastMinuteThroughput": 123,
"maxProcessingTime": 123,
"minProcessingTime": 123,
"peakThroughput": 123,
"successCount": 123,
"totalEvents": 123
},
"progress": {
"metrics": {
"auth0Id": "<string>",
"averageProcessingTime": 123,
"averageProcessingTimeMs": 123,
"averageSpeed": 123,
"complete": true,
"createdAt": "2023-11-07T05:31:56Z",
"currentSpeed": 123,
"elapsedSeconds": 123,
"elapsedTimeSeconds": 123,
"endTime": "2023-11-07T05:31:56Z",
"errorCounts": {},
"errorRate": 123,
"estimatedRemainingSeconds": 123,
"failedItems": 123,
"failureCount": 123,
"id": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"managementId": "<string>",
"peakSpeed": 123,
"processedItems": 123,
"progressPercentage": 123,
"recentWindows": [
{
"processedCount": 123,
"processingTimeMs": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
],
"retryCount": 123,
"startTime": "2023-11-07T05:31:56Z",
"status": "INITIALIZING",
"successCount": 123,
"successRate": 123,
"taskId": "<string>",
"totalItems": 123,
"totalProcessingTime": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"processedItems": 123,
"progressPercentage": 123,
"startTime": "2023-11-07T05:31:56Z",
"status": "<string>",
"taskId": "<string>",
"totalItems": 123
},
"queueInsights": {
"estimatedCompletionTime": "2023-11-07T05:31:56Z",
"processedMessages": 123,
"processingRate": 123,
"processingStats": {
"averageProcessingTime": 123,
"errorCount": 123,
"maxProcessingTime": 123,
"minProcessingTime": 123,
"standardDeviation": 123,
"successCount": 123,
"throughputPerMinute": 123
},
"progressPercentage": 123,
"queueName": "<string>",
"remainingMessages": 123,
"totalMessages": 123
},
"taskId": "<string>"
}Task Monitoring
Monitor a campaign
GET /api/v1/monitoring/task/
GET
/
api
/
v1
/
monitoring
/
task
/
{taskId}
Monitor a campaign
curl --request GET \
--url https://api.heullo.com/api/v1/monitoring/task/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heullo.com/api/v1/monitoring/task/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heullo.com/api/v1/monitoring/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/monitoring/task/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/monitoring/task/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heullo.com/api/v1/monitoring/task/{taskId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/monitoring/task/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"healthStatus": {
"errorRate": 123,
"lastUpdateTime": "2023-11-07T05:31:56Z",
"processingSpeed": 123,
"status": "<string>"
},
"performance": {
"averageProcessingTime": 123,
"efficiency": 123,
"lastMinuteStats": {},
"peakThroughput": 123,
"successRate": 123,
"throughput": 123,
"totalProcessed": 123
},
"processingStats": {
"averageProcessingTime": 123,
"errorCount": 123,
"lastMinuteAverageProcessingTime": 123,
"lastMinuteErrorRate": 123,
"lastMinuteThroughput": 123,
"maxProcessingTime": 123,
"minProcessingTime": 123,
"peakThroughput": 123,
"successCount": 123,
"totalEvents": 123
},
"progress": {
"metrics": {
"auth0Id": "<string>",
"averageProcessingTime": 123,
"averageProcessingTimeMs": 123,
"averageSpeed": 123,
"complete": true,
"createdAt": "2023-11-07T05:31:56Z",
"currentSpeed": 123,
"elapsedSeconds": 123,
"elapsedTimeSeconds": 123,
"endTime": "2023-11-07T05:31:56Z",
"errorCounts": {},
"errorRate": 123,
"estimatedRemainingSeconds": 123,
"failedItems": 123,
"failureCount": 123,
"id": "<string>",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"managementId": "<string>",
"peakSpeed": 123,
"processedItems": 123,
"progressPercentage": 123,
"recentWindows": [
{
"processedCount": 123,
"processingTimeMs": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
],
"retryCount": 123,
"startTime": "2023-11-07T05:31:56Z",
"status": "INITIALIZING",
"successCount": 123,
"successRate": 123,
"taskId": "<string>",
"totalItems": 123,
"totalProcessingTime": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"processedItems": 123,
"progressPercentage": 123,
"startTime": "2023-11-07T05:31:56Z",
"status": "<string>",
"taskId": "<string>",
"totalItems": 123
},
"queueInsights": {
"estimatedCompletionTime": "2023-11-07T05:31:56Z",
"processedMessages": 123,
"processingRate": 123,
"processingStats": {
"averageProcessingTime": 123,
"errorCount": 123,
"maxProcessingTime": 123,
"minProcessingTime": 123,
"standardDeviation": 123,
"successCount": 123,
"throughputPerMinute": 123
},
"progressPercentage": 123,
"queueName": "<string>",
"remainingMessages": 123,
"totalMessages": 123
},
"taskId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

